aboutsummaryrefslogtreecommitdiffstats
path: root/bin/update-packer-to
diff options
context:
space:
mode:
authorclyhtsuriva <aimeric@adjutor.xyz>2026-04-10 20:08:43 +0200
committerclyhtsuriva <aimeric@adjutor.xyz>2026-04-10 20:08:43 +0200
commit4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23 (patch)
treec876738b9539afd5699beb96d774131e9251b5b6 /bin/update-packer-to
parentb616376896a4becc79a9bc6be9e66107deb6dcd1 (diff)
downloadscripts-master.tar.gz
scripts-master.tar.bz2
scripts-master.zip
Add update-packer-to + update-packages is now build-packagesHEADmaster
Diffstat (limited to 'bin/update-packer-to')
-rwxr-xr-xbin/update-packer-to15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/update-packer-to b/bin/update-packer-to
new file mode 100755
index 0000000..622f139
--- /dev/null
+++ b/bin/update-packer-to
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# clyhtsuriva
+
+VER=$1
+
+pushd /tmp/ || exit
+
+curl -LO "https://releases.hashicorp.com/packer/${VER}/packer_${VER}_linux_amd64.zip" && \
+unzip "packer_${VER}_linux_amd64.zip" && \
+rm LICENSE.txt && \
+mv packer ~/.local/bin/packer && \
+packer -v && \
+rm "packer_${VER}_linux_amd64.zip"
+
+popd || exit
.kt 2021-05-19Update README.mdClyhtsuriva1-1/+5 2021-05-14Update README.mdClyhtsuriva1-1/+3 2021-05-14Update README.mdClyhtsuriva1-0/+23 2021-05-14Update README.md and adding logo onto the main screenrelease/3.1Clyhtsuriva2-10/+13 2021-05-14Singletons on all pages : OKClyhtsuriva6-125/+81 2021-05-14Singletons : DetailTopManga : OKClyhtsuriva2-21/+49 2021-05-14Addedd Singletons for TopManga.Clyhtsuriva3-23/+43